/**
 * 
 */
package dluploadclient;

import java.io.File;

import net.iharder.dnd.FileDrop.Listener;

/**
 * Ecouteur qui ragit au glisser dposer d'objet sur l'application
 * 
 * <p>
 * <code>
 * Copyright 2008, Maurer Gilles
 * </code>
 * <p>
 * <code>
 * This file is part of Client dl.free.fr.
 * </code>
 * <p>
 * <code>
 * Client dl.free.fr is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * </code>
 *<p>
 * <code>
 * Client dl.free.fr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * </code>
 * <p>
 * <code>
 * You should have received a copy of the GNU General Public License
 * along with Client dl.free.fr. If not, see <http://www.gnu.org/licenses/>.
 * </code>
 * 
 * @author Maurer Gilles
 *
 */
public class DLUploadFileDropListener implements Listener
{
	/**
	 * Rfrence  la fentre principale de l'application
	 */
	private DLUploadClientGUI gui;

	/**
	 * Constructeur par dfaut
	 * @param gui Rfrence  la fentre par dfaut
	 */
	public DLUploadFileDropListener(DLUploadClientGUI gui)
	{
		this.gui = gui;
	}

	/* (non-Javadoc)
	 * @see net.iharder.dnd.FileDrop.Listener#filesDropped(java.io.File[])
	 */
	public void filesDropped(File[] files)
	{
		
		// On lance le thread qui va s'occuper de tout grer
		ThreadAddFiles thrd = new ThreadAddFiles(this.gui, files);
		thrd.start();
		

	}

}
